<#if isPolled == true>
/**
 * TIMER Toggle LED - Polling Example Driver File
 * 
 <#if isTestMode == true>
 * @file uc1.c
 *
 * @addtogroup timer-toggle-led-example TIMER Toggle LED
 <#else>
 * @file timer_example.c
 * 
 * @addtogroup timer_example
  </#if>
 * 
 * @brief This is the generated example implementation for TIMER Toggle LED - Polled driver.
 *
 * @version TIMER Toggle LED - Polled Example Version 2.0.0
*/
<#elseif isCallback == true>
/**
 * TIMER Toggle LED - Callback Example Driver File
 * 
 <#if isTestMode == true>
 * @file uc1.c
 *
 * @addtogroup timer-toggle-led-example TIMER Toggle LED
 <#else>
 * @file timer_example.c
 </#if>
 * 
 * @addtogroup timer_example
 * 
 * @brief This is the generated example implementation for TIMER Toggle LED - Callback driver.
 *
 * @version TIMER Toggle LED - Callback Example Version 2.0.0
*/
<#elseif isLowPower == true>
/**
 * TIMER Toggle LED - Low-Power Example Driver File
 * 
 <#if isTestMode == true>
 * @file uc1.c
 *
 * @addtogroup timer-toggle-led-example TIMER Toggle LED
 <#else>
 * @file timer_example.c
 </#if>
 * 
 * @addtogroup timer_example
 * 
 * @brief This is the generated example implementation for TIMER Toggle LED - Low-Power driver.
 *
 * @version TIMER Toggle LED - Low-Power Example Version 2.0.0
*/
</#if>
${disclaimer}

<#if isPolled == true>
/* Use Case 1 - Polled implementation. Copy this code to your project source, e.g., to main.c  */
<#elseif isCallback == true>
/* Use Case 1 - Callback implementation. Copy this code to your project source, e.g., to main.c  */
<#elseif isLowPower == true>
/* Use Case 1 - Low-Power implementation. Copy this code to your project source, e.g., to main.c  */
</#if>
<#if isTestMode == false>
/* ------------------------------------------------------------------
</#if>

<#if isTestMode == true>
#include "../../system/system.h"
#include "uc1.h"

<#if isLowPower != true>
static void Timer_Callback(void);

</#if>
// TODO: Replace TimerX with name of const struct TIMER_INTERFACE, from MCC Generated Files > timer > tmrx.c  ----------
static const struct TIMER_INTERFACE *Timer = &TimerX;  

<#else>
#include "mcc_generated_files/system/system.h"

<#if isLowPower != true>
static void Timer_Callback(void);

</#if>
// TODO: Replace TimerX with name of const struct TIMER_INTERFACE, from MCC Generated Files > timer > tmrx.c  ----------
static const struct TIMER_INTERFACE *Timer = &TimerX;  

</#if>
<#if isLowPower != true>
static void Timer_Callback(void)
{
    IO_LED_Toggle();
    <#if isDebugIO == true>
    IO_Debug_Toggle();
    </#if>
}

</#if>
<#if isPolled == true>
<#if isTestMode == true>
void TIMER_Example1(void)
<#else>
int main(void)
</#if>
{
    SYSTEM_Initialize();
    Timer->TimeoutCallbackRegister(Timer_Callback);

    while (1) 
    {
        Timer->Tasks();
    }
}
<#elseif isCallback == true>
<#if isTestMode == true>
void TIMER_Example1(void)
<#else>
int main(void)
</#if>
{
    SYSTEM_Initialize();
    Timer->TimeoutCallbackRegister(Timer_Callback);
<#if InterfaceType == "Interface_PIC18">
    INTERRUPT_GlobalInterruptEnable();
<#elseif InterfaceType == "Interface_PIC16">
    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();
</#if>

    while (1) 
    {
    }
}
<#elseif isLowPower == true>
<#if isTestMode == true>
void TIMER_Example1(void)
<#else>
int main(void)
</#if>
{
    SYSTEM_Initialize();
<#if InterfaceType == "Interface_PIC18">
    INTERRUPT_GlobalInterruptEnable();
<#elseif InterfaceType == "Interface_PIC16">
    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();
</#if>

    while (1) 
    {
        Timer->Stop();
        IO_LED_SetLow(); // Turn LED On
        <#if isDebugIO == true>
        IO_Debug_SetLow();
        </#if>
        __delay_ms(100); // 100ms Delay in between LED toggle
        IO_LED_SetHigh(); // Turn LED Off
        <#if isDebugIO == true>
        IO_Debug_SetHigh();
        </#if>
        Timer->Start();
        SLEEP(); // Put microcontroller in Sleep
    }
}
</#if>
<#if isTestMode == false>
------------------------------------------------------------------ */
</#if>
/**
 End of File
*/